[Top][All Lists]

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: [AUCTeX-devel] Call for patches for last release on 11.x series

From: Mosè Giordano
Subject: Re: [AUCTeX-devel] Call for patches for last release on 11.x series
Date: Fri, 10 Nov 2017 18:54:04 +0100

2017-11-10 18:42 GMT+01:00 David Kastrup <address@hidden>:
> Uwe Brauer <address@hidden> writes:
>>>>> "Mosè" == Mosè Giordano <address@hidden> writes:
>>    > Dear all,
>>    > now that the Ghostscript issue has been fixed I think it's a good
>>    > time to release a new version of AUCTeX, that will be the last in
>>    > the 11.x series concerning new features. At the same time we'll
>>    > release AUCTeX 12.01, (almost?) identical to 11.92, but it'll
>>    > support only GNU Emacs
>>    >> = 24 and the development will continue only here.
>> Ok, what's about styles? Could those go in the future in both branches,
>> in master in the 11.92-old or whatever the name of the branch will be??
> The point of stopping development for XEmacs is not to increase the
> workload.

Yes, we don't want to port any new feature --- including style files
--- to the then frozen 11.x series.

> I'd recommend not making a branch but a _tag_ for the last
> version known to work with XEmacs to make unambiguously clear that the
> AUCTeX developers are not responsible for working on an XEmacs version
> any more.

For sure we'll just tag release_11_92 for the time being.  I think
that we reserve the possibility to create a branch if it'll be
necessary to port important bug fixes to 11.x series, but this can be
decided later.


reply via email to

[Prev in Thread] Current Thread [Next in Thread]